安装需求

PHP和Python都是跨平台的语言,所以理论上系统应该可以支持在不同的平台上运行。但是由于时间和精力以及资源有限,目前天兔系统只测试完善了Centos/RedHat系统的支持。我们目前提供的技术支持也是只针对于Centos/RedHat系统,其他系统暂不支持技术服务。

需要的核心包如下:

以下软件包只需要部署在监控机即可。被监控机无需部署。

1.MySQL 5.0及以上(必须,用来存储监控系统采集的数据)

2.Apache 2.2及以上 (必须,WEB服务器运行服务器)

3.PHP 5.3以上 (必须,提供WEB界面支持)

4.Python2 (必须,推荐2.6及以上版本,执行数据采集和报警任务,不支持Python3)

5.Python连接和监控数据库的相关驱动模块包:

MySQLdb for python (Python连接MySQl的接口,用于监控MySQL,此模块必须安装)

cx_oracle for python  (Python连接Oracle的接口,非必须,如果需要监控oracle此模块必须安装)

Pymongo for python (Python连接MongoDB的接口,非必须,如果需要监控MongoDB此模块必须安装)

redis-py for python (Python连接Redis的接口,非必须,如果需要监控Redis此模块必须安装)


AD:如果您觉得我们的产品或文档对您的工作有很大帮助,可以小额捐助我们, 点击参与lepus众筹活动

本章节创建日期:2014-12-11 最后修订日期:2015-01-07 浏览次数:28850